Jobs
List Jobs
List jobs, optionally filtered by type, status, or resource.
AuthorizationBearer <token>
In: header
Query Parameters
type?string|null
Value in
"add_post" | "score_engagers" | "score_accounts" | "import_leads" | "import_accounts" | "campaign_enrollment"status?|null
resource_id?string|null
page?integer
Default
1Range
1 <= valuepage_size?integer
Default
50Range
1 <= value <= 100Header Parameters
x-tenant-id?string|null
Response Body
application/json
application/json
curl -X GET "https://api.obert.io/api/jobs"{
"data": [
{
"id": "string",
"type": "add_post",
"status": "pending",
"resource_type": "string",
"resource_id": "string",
"stage": "string",
"progress": {
"type": "add_post",
"engager_count": 0,
"total_to_score": 0,
"scored_count": 0,
"total_to_enrich": 0,
"enriched_count": 0
},
"workflow_id": "string",
"error_message": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"has_more": false,
"page": 1,
"page_size": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}